---
agentTools:
  projectIndex: https://tidy.readme.io/llms.txt
---

# List all To-Do Lists

List all active Address's To-Do Lists.

For more information on To-Dos, view our docs: https://help.tidy.com/to-dos-and-to-do-lists-lists

### Filters

You can filter To-Do Lists using these params:


| param         | possible values | examples | description    | 
| ------------- | ----------------|----------|----------------| 
| address_id    | `Integer`       | `1`, `1,2`        | filter by an `address.id` (Use commas to filter by more than one) |

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Resources",
    "version": "1.6.2",
    "description": "Here are the endpoints available in the TIDY API:\n\n### Addresses\n  - POST   /address\n  - GET    /addresses\n  - GET    /addresses/{address_id}\n  - PUT    /addresses/{address_id}\n  - DELETE /addresses/{address_id}\n\n### Jobs\n  - POST /jobs\n  - GET  /jobs\n  - GET  /jobs/{job_id}\n  - PUT  /jobs/{job_id}\n  - POST  /jobs/{job_id}/cancel\n  \n### Booking Availbilities\n  - GET /booking-availabilities\n  \n### Pros\n  - POST /pros\n\n### To Do Lists\n  - GET /to-do-lists\n  \n### Guest Reservations\n  - GET    /guest-reservations\n  - GET    /guest-reservations/{guest_reservation_id}\n  - POST   /guest-reservations\n  - DELETE /guest-reservations/{guest_reservation_id}\n  \n### Issues\n  - GET    /issues\n  - GET    /issues/{issue_id}\n  - POST   /issues\n  - POST   /issues/{issue_id}/resolve\n  - DELETE /issues/{issue_id}",
    "contact": {
      "url": "tidy.com"
    }
  },
  "servers": [
    {
      "url": "https://api.tidy.com/api/v1",
      "description": ""
    }
  ],
  "paths": {
    "/to-do-lists": {
      "get": {
        "summary": "List all To-Do Lists",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "object": {
                      "type": "string",
                      "default": "list",
                      "example": "list"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/ToDoList"
                      }
                    }
                  },
                  "required": [
                    "object",
                    "data"
                  ]
                },
                "examples": {
                  "example-1": {
                    "value": {
                      "object": "list",
                      "data": [
                        {
                          "object": "to_do_list",
                          "id": 1,
                          "title": "My Awesome List",
                          "before_after_photos_state": "active",
                          "state": "active",
                          "is_address_favorite": true,
                          "is_address_default": true,
                          "created_at": "2021-12-07T21:35:51Z"
                        }
                      ]
                    }
                  }
                }
              }
            }
          }
        },
        "operationId": "get-to-do-lists",
        "description": "List all active Address's To-Do Lists.\n\nFor more information on To-Dos, view our docs: https://help.tidy.com/to-dos-and-to-do-lists-lists\n\n### Filters\n\nYou can filter To-Do Lists using these params:\n\n\n| param         | possible values | examples | description    | \n| ------------- | ----------------|----------|----------------| \n| address_id    | `Integer`       | `1`, `1,2`        | filter by an `address.id` (Use commas to filter by more than one) |\n\n",
        "parameters": [
          {
            "schema": {
              "type": "integer"
            },
            "in": "query",
            "name": "address_id",
            "description": "Address ID, or a list of them. to filter the TaskList"
          }
        ],
        "tags": [
          "to-do-lists"
        ]
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "ToDoList": {
        "title": "To-Do List",
        "type": "object",
        "x-tags": [
          "models"
        ],
        "description": "## About To-Do Lists\n\nThese are the To-Do lists that can be applied to a Job. View our docs on To-Dos for more details: https://help.tidy.com/to-dos-and-to-do-lists-lists\n\n## More details about a ToDoList\n\n| Attribute                 | Description                                                                                                                                                                                     |\n| ------------------------  | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |\n| title                     | The title for the ToDoList                                                                                                                                                                      |\n| before_after_photos_state | State of Before and After Photos on this ToDoList.<br>**Active** - will ask the Pro to take Before and After Photos for each AddressRoom.<br>**Inactive** - will not ask the Pro for Before and After Photos  |\n| state                     | State about the ToDoList.<br>**active** - The ToDoList is active and can be applied to jobs.<br>**inactive** - The ToDoList is inactive and cannot be applied to any jobs.              |\n| is_address_favorite      | If this ToDoList is favorited for the Address which it belongs to.                                                                                                                              \n| is_address_default        | If this ToDoList is default for the Address which it belongs to.                                                                                                                                | created_at      | Date and time of when the `ToDoList` was created. UTC and ISO formatted |",
        "x-examples": {
          "example-1": {
            "object": "to_do_list",
            "id": 1,
            "title": "My Awesome List",
            "before_after_photos_state": "active",
            "state": "active",
            "is_address_favorite": true,
            "is_address_default": true
          }
        },
        "properties": {
          "object": {
            "type": "string",
            "default": "to_do_list",
            "example": "to_do_list",
            "x-plain-title": "Object Type"
          },
          "id": {
            "type": "integer",
            "description": "Unique identifier for the To-Do List",
            "x-plain-title": "To-Do List ID"
          },
          "title": {
            "type": "string",
            "description": "Title of the To-Do List",
            "x-plain-title": "To-Do List Title"
          },
          "before_after_photos_state": {
            "type": "string",
            "enum": [
              "active",
              "inactive"
            ],
            "description": "State of Before and After Photos on this To-Do List",
            "x-plain-title": "To-Do List Before and After Photos State"
          },
          "state": {
            "type": "string",
            "enum": [
              "active",
              "inactive"
            ],
            "example": "active",
            "x-plain-title": "To-Do List State"
          },
          "is_address_favorite": {
            "type": "boolean",
            "description": "If this To-Do List is favorited for the Address which it belongs to",
            "x-plain-title": "Is To-Do List Favorited?"
          },
          "is_address_default": {
            "type": "boolean",
            "description": "If this To-Do List is default for the Address which it belongs to",
            "x-plain-title": "Is To-Do List Default?"
          },
          "created_at": {
            "type": "string",
            "example": "2022-01-17T21:47:51Z",
            "description": "Date and time of when the `ToDoList` was created. UTC and ISO formatted",
            "x-plain-title": "To-Do List Created At"
          }
        },
        "required": [
          "object",
          "id",
          "title",
          "before_after_photos_state",
          "state",
          "is_address_favorite",
          "is_address_default",
          "created_at"
        ]
      }
    }
  },
  "tags": [
    {
      "name": "to-do-lists"
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 101,
      "1": 48,
      "2": 67,
      "3": 191,
      "4": 129,
      "5": 222,
      "6": 93,
      "7": 0,
      "8": 36,
      "9": 101,
      "10": 132,
      "11": 19
    }
  }
}
```